commit: a16a17a3b8e8c9b137d093bdba652aea1e8fe77d
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 26 22:13:31 2017 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Jun 26 22:17:48 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a16a17a3
app-text/calibre: revbump to 3.1.1-r2 with fix for bug 622728
Indentify and purge stray directories from upstream's "Binary install"
method.
Package-Manager: Portage-2.3.6, Repoman-2.3.2
.../{calibre-3.1.1-r1.ebuild => calibre-3.1.1-r2.ebuild} | 16 ++++++++++++++++
1 file changed, 16 insertions(+)
diff --git a/app-text/calibre/calibre-3.1.1-r1.ebuild
b/app-text/calibre/calibre-3.1.1-r2.ebuild
similarity index 93%
rename from app-text/calibre/calibre-3.1.1-r1.ebuild
rename to app-text/calibre/calibre-3.1.1-r2.ebuild
index 4e9fbac4f7f..46710a8a845 100644
--- a/app-text/calibre/calibre-3.1.1-r1.ebuild
+++ b/app-text/calibre/calibre-3.1.1-r2.ebuild
@@ -249,7 +249,23 @@ src_install() {
}
+pkg_preinst() {
+ # Indentify stray directories from upstream's "Binary install"
+ # method (see bug 622728).
+ CALIBRE_LIB_DIR=/usr/$(get_libdir)/calibre
+ CALIBRE_LIB_CONTENT=$(for x in "${ED%/}${CALIBRE_LIB_DIR}"/*; do
+ printf -- "${x##*/} "; done) || die "Failed to list
${ED%/}${CALIBRE_LIB_DIR}"
+}
+
pkg_postinst() {
+ [[ -n ${CALIBRE_LIB_DIR} ]] || die "CALIBRE_LIB_DIR is unset"
+ local x
+ for x in "${EROOT%/}${CALIBRE_LIB_DIR}"/*; do
+ if [[ " ${CALIBRE_LIB_CONTENT} " != *" ${x##*/} "* ]]; then
+ elog "Purging '${x}'"
+ rm -rf "${x}"
+ fi
+ done
fdo-mime_desktop_database_update
fdo-mime_mime_database_update
}